OpenObserve Docs
ReferenceApiUsers

Create user

Updated View MarkdownOpen in ChatGPTOpen in Claude

Endpoint: POST /api/{organization}/users

Request

{
	"email": "admin@openobserve.ai",
	"first_name": "ming",
	"last_name": "xing",
	"password": "complex#pass",
	"role": "admin"
}

Description

Field nameData typeDefault valueDescription
emailstring-user email
first_namestring-first name
last_namestring-last name
passwordstring-user password
rolestring-user role: admin, editor, viewer, user or service_account. In Enterprise, any role other than admin and service_account needs OpenFGA (RBAC) enabled
custom_rolearray[string]-Enterprise with RBAC only: custom roles to assign

Response

{
	"code": 200,
	"message": "User saved successfully"
}
Was this page helpful?

On this page